Page MenuHomePhabricator

FlaggedRevs (statistics) first three namespaces are listed twice
Closed, ResolvedPublic

Description

On https://de.wiktionary.org/wiki/Spezial:Sichtungsstatistik and also https://de.wikipedia.org/wiki/Spezial:Sichtungsstatistik the first three namespaces are listed twice in the statistik table.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2019, 4:47 AM
PeterBowman added a comment.EditedJun 8 2019, 9:56 AM

Same happens on plwiki. Please note that namespace File is listed at Page review statistics (and pages therein can be marked as reviewed) even though it is not configured by the FR extension on this project (per NOC, look for $wgDBname == 'plwiki').

Wargo added a subscriber: Wargo.Jun 8 2019, 1:34 PM
Reedy added a subscriber: Reedy.Jun 10 2019, 7:29 PM

$wgFlaggedRevsNamespaces is seemingly at fault

Probably means we need to drop $wgFlaggedRevsNamespaces from the top of the file

Change 516443 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Prevent $wgFlaggedRevsNamespaces from having NS listed twice

https://gerrit.wikimedia.org/r/516443

Change 516443 abandoned by Reedy:
Prevent $wgFlaggedRevsNamespaces from having NS listed twice

https://gerrit.wikimedia.org/r/516443

Mentioned in SAL (#wikimedia-operations) [2019-06-24T13:50:54Z] <reedy@deploy1001> Synchronized wmf-config/flaggedrevs.php: T225144 T225276 T225414 T225776 T225797 T226054 (duration: 00m 56s)

Reedy closed this task as Resolved.Jun 24 2019, 5:12 PM
Reedy claimed this task.